<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>msg &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>msg
      <small>Function</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.3% of total for procedures.">60 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">msg</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public function msg(generic1, generic2, generic3, generic4, generic5, generic6, generic7, generic8, generic9, nospace)
    
    
   
</h2>
    
  


    
    <h2>NAME</h2>
<div class="codehilite"><pre><span></span><code><span class="n">msg</span><span class="p">(</span><span class="mi">3</span><span class="n">f</span><span class="p">)</span><span class="w"> </span><span class="o">-</span><span class="w"> </span><span class="o">[</span><span class="n">M_strings</span><span class="o">]</span><span class="w"> </span><span class="n">converts</span><span class="w"> </span><span class="ow">any</span><span class="w"> </span><span class="n">standard</span><span class="w"> </span><span class="n">scalar</span><span class="w"> </span><span class="n">type</span><span class="w"> </span><span class="k">to</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">string</span><span class="w"></span>
</code></pre></div>

<h2>SYNOPSIS</h2>
<div class="codehilite"><pre><span></span><code><span class="k">function</span><span class="w"> </span><span class="nf">msg</span><span class="p">(</span>g1,g2g3,g4,g5,g6,g7,g8,g9,nospace<span class="p">)</span><span class="w"></span>

<span class="w"> </span><span class="nb">class</span><span class="p">(</span><span class="o">*</span><span class="p">),</span><span class="n">intent</span><span class="p">(</span><span class="n">in</span><span class="p">),</span><span class="n">optional</span><span class="w">  </span><span class="p">::</span><span class="w"> </span><span class="n">g1</span><span class="p">,</span><span class="n">g2</span><span class="p">,</span><span class="n">g3</span><span class="p">,</span><span class="n">g4</span><span class="p">,</span><span class="n">g5</span><span class="p">,</span><span class="n">g6</span><span class="p">,</span><span class="n">g7</span><span class="p">,</span><span class="n">g8</span><span class="p">,</span><span class="n">g9</span><span class="w"></span>
<span class="w"> </span><span class="nb">logical</span><span class="p">,</span><span class="n">intent</span><span class="p">(</span><span class="n">in</span><span class="p">),</span><span class="n">optional</span><span class="w">   </span><span class="p">::</span><span class="w"> </span><span class="n">nospace</span><span class="w"></span>
<span class="w"> </span><span class="n">character</span><span class="p">,</span><span class="n">len</span><span class="p">=(:),</span><span class="n">allocatable</span><span class="w"> </span><span class="p">::</span><span class="w"> </span><span class="n">msg</span><span class="w"></span>
</code></pre></div>

<h2>DESCRIPTION</h2>
<div class="codehilite"><pre><span></span><code>msg(3f) builds a space-seperated string from up to nine scalar values.
</code></pre></div>

<h2>OPTIONS</h2>
<div class="codehilite"><pre><span></span><code><span class="nv">g</span>[<span class="mi">1</span><span class="o">-</span><span class="mi">9</span>]  <span class="nv">optional</span> <span class="nv">value</span> <span class="nv">to</span> <span class="nv">print</span> <span class="nv">the</span> <span class="nv">value</span> <span class="nv">of</span> <span class="nv">after</span> <span class="nv">the</span> <span class="nv">message</span>. <span class="nv">May</span>
        <span class="nv">be</span> <span class="nv">of</span> <span class="nv">type</span> <span class="nv">INTEGER</span>, <span class="nv">LOGICAL</span>, <span class="nv">REAL</span>, <span class="nv">DOUBLEPRECISION</span>, <span class="nv">COMPLEX</span>,
        <span class="nv">or</span> <span class="nv">CHARACTER</span>.
<span class="nv">nospace</span>  <span class="k">if</span> <span class="nv">nospace</span><span class="o">=</span>.<span class="nv">true</span>., <span class="k">then</span> <span class="nv">no</span> <span class="nv">spaces</span> <span class="nv">are</span> <span class="nv">added</span> <span class="nv">between</span> <span class="nv">values</span>
</code></pre></div>

<h2>RETURNS</h2>
<div class="codehilite"><pre><span></span><code>msg     description to print
</code></pre></div>

<h2>EXAMPLES</h2>
<p>Sample program:</p>
<div class="codehilite"><pre><span></span><code><span class="nv">program</span> <span class="nv">demo_msg</span>
<span class="nv">use</span> <span class="nv">M_strings</span>, <span class="nv">only</span> : <span class="nv">msg</span>
<span class="nv">implicit</span> <span class="nv">none</span>
<span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=</span>:<span class="ss">)</span>,<span class="nv">allocatable</span> :: <span class="nv">pr</span>

<span class="nv">pr</span><span class="o">=</span><span class="nv">msg</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">HUGE(3f) integers</span><span class="s1">&#39;</span>,<span class="nv">huge</span><span class="ss">(</span><span class="mi">0</span><span class="ss">)</span>,<span class="s1">&#39;</span><span class="s">and real</span><span class="s1">&#39;</span>,<span class="nv">huge</span><span class="ss">(</span><span class="mi">0</span>.<span class="mi">0</span><span class="ss">)</span>,<span class="s1">&#39;</span><span class="s">and double</span><span class="s1">&#39;</span>,<span class="nv">huge</span><span class="ss">(</span><span class="mi">0</span>.<span class="mi">0</span><span class="nv">d0</span><span class="ss">))</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(a)</span><span class="s1">&#39;</span><span class="ss">)</span><span class="nv">pr</span>
<span class="nv">pr</span><span class="o">=</span><span class="nv">msg</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">real            :</span><span class="s1">&#39;</span>,<span class="nv">huge</span><span class="ss">(</span><span class="mi">0</span>.<span class="mi">0</span><span class="ss">)</span>,<span class="mi">0</span>.<span class="mi">0</span>,<span class="mi">12345</span>.<span class="mi">6789</span>,<span class="nv">tiny</span><span class="ss">(</span><span class="mi">0</span>.<span class="mi">0</span><span class="ss">)</span> <span class="ss">)</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(a)</span><span class="s1">&#39;</span><span class="ss">)</span><span class="nv">pr</span>
<span class="nv">pr</span><span class="o">=</span><span class="nv">msg</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">doubleprecision :</span><span class="s1">&#39;</span>,<span class="nv">huge</span><span class="ss">(</span><span class="mi">0</span>.<span class="mi">0</span><span class="nv">d0</span><span class="ss">)</span>,<span class="mi">0</span>.<span class="mi">0</span><span class="nv">d0</span>,<span class="mi">12345</span>.<span class="mi">6789</span><span class="nv">d0</span>,<span class="nv">tiny</span><span class="ss">(</span><span class="mi">0</span>.<span class="mi">0</span><span class="nv">d0</span><span class="ss">)</span> <span class="ss">)</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(a)</span><span class="s1">&#39;</span><span class="ss">)</span><span class="nv">pr</span>
<span class="nv">pr</span><span class="o">=</span><span class="nv">msg</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">complex         :</span><span class="s1">&#39;</span>,<span class="nv">cmplx</span><span class="ss">(</span><span class="nv">huge</span><span class="ss">(</span><span class="mi">0</span>.<span class="mi">0</span><span class="ss">)</span>,<span class="nv">tiny</span><span class="ss">(</span><span class="mi">0</span>.<span class="mi">0</span><span class="ss">))</span> <span class="ss">)</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(a)</span><span class="s1">&#39;</span><span class="ss">)</span><span class="nv">pr</span>

<span class="o">!</span> <span class="nv">although</span> <span class="nv">it</span> <span class="nv">will</span> <span class="nv">often</span> <span class="nv">work</span>, <span class="nv">using</span> <span class="nv">msg</span><span class="ss">(</span><span class="mi">3</span><span class="nv">f</span><span class="ss">)</span> <span class="nv">in</span> <span class="nv">an</span> <span class="nv">I</span><span class="o">/</span><span class="nv">O</span> <span class="nv">statement</span> <span class="nv">is</span> <span class="nv">not</span> <span class="nv">recommended</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="nv">msg</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">program will now stop</span><span class="s1">&#39;</span><span class="ss">)</span>

<span class="k">end</span> <span class="nv">program</span> <span class="nv">demo_msg</span>
</code></pre></div>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-generic1"></span>class(*),</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>generic1</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-generic2"></span>class(*),</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>generic2</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-generic3"></span>class(*),</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>generic3</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-generic4"></span>class(*),</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>generic4</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-generic5"></span>class(*),</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>generic5</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-generic6"></span>class(*),</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>generic6</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-generic7"></span>class(*),</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>generic7</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-generic8"></span>class(*),</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>generic8</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-generic9"></span>class(*),</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>generic9</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-nospace%7E2"></span>logical,</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>nospace</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    
    
    
    
   <h3>Return Value <small><span class="anchor" id="variable-msg%7E2"></span>character(len=:),
  allocatable</small></h3>
    
    
    
    
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>